Bug 1547864 - There is error report when upgrade to rhvh-4.1-20180218.0 / rhvh-4.2-20180218.0
Summary: There is error report when upgrade to rhvh-4.1-20180218.0 / rhvh-4.2-20180218.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhev-hypervisor-ng
Version: 4.1.10
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-4.2.2
: ---
Assignee: Yuval Turgeman
QA Contact: Huijuan Zhao
URL:
Whiteboard:
Depends On:
Blocks: 1548994
TreeView+ depends on / blocked
 
Reported: 2018-02-22 06:58 UTC by Huijuan Zhao
Modified: 2019-05-16 13:04 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
If this bug requires documentation, please select an appropriate Doc Type value.
Clone Of:
: 1548994 (view as bug list)
Environment:
Last Closed: 2018-05-15 17:57:44 UTC
oVirt Team: Node
Target Upstream Version:


Attachments (Terms of Use)
All logs from host after upgrade, but before reboot host (9.04 MB, application/x-gzip)
2018-02-22 06:58 UTC, Huijuan Zhao
no flags Details
All logs from host after reboot host (9.97 MB, application/x-gzip)
2018-02-22 07:00 UTC, Huijuan Zhao
no flags Details
Screenshot when upgrade from rhvm side (251.99 KB, image/png)
2018-02-22 07:01 UTC, Huijuan Zhao
no flags Details
Log in rhvm when upgrade host failed via rhvm side (128.34 KB, text/plain)
2018-02-22 08:39 UTC, Huijuan Zhao
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1524 0 None None None 2018-05-15 17:58:49 UTC

Description Huijuan Zhao 2018-02-22 06:58:41 UTC
Created attachment 1399170 [details]
All logs from host after upgrade, but before reboot host

Description of problem:
It reported error when upgrade to rhvh-4.1-20180218.0

The error likes below:
warning: %post(redhat-virtualization-host-image-update-4.1-20180218.0.el7_5.noarch) scriptlet failed, exit status 1
Non-fatal POSTIN scriptlet failure in rpm package redhat-virtualization-host-image-update-4.1-20180218.0.el7_5.noarch


Version-Release number of selected component (if applicable):
From: redhat-virtualization-host-4.1-20171207.0
To:   redhat-virtualization-host-4.1-20180218.0
      imgbased-0.9.54-0.1.el7ev.noarch


How reproducible:
100%
Regression bug
Keywords: Upgrade


Steps to Reproduce:
1. Install redhat-virtualization-host-4.1-20171207.0
2. Setup local repos to redhat-virtualization-host-4.1-20180218.0, and upgrade host
   # yum update
3. Focus on the upgrade process.
4. Reboot host


Actual results:
1. After step3, upgrade failed. The output looks like below:
# yum update
......
......
Resolving Dependencies
--> Running transaction check
---> Package redhat-virtualization-host-image-update.noarch 0:4.1-20180218.0.el7_5 will be obsoleting
---> Package redhat-virtualization-host-image-update-placeholder.noarch 0:4.1-8.1.el7 will be obsoleted
--> Finished Dependency Resolution

Dependencies Resolved

======================================================================================================================================================================
 Package                                                Arch                  Version                             Repository                                     Size
======================================================================================================================================================================
Installing:
 redhat-virtualization-host-image-update                noarch                4.1-20180218.0.el7_5                rhel-7-server-rhvh-4-beta-rpms                645 M
     replacing  redhat-virtualization-host-image-update-placeholder.noarch 4.1-8.1.el7

Transaction Summary
======================================================================================================================================================================
Install  1 Package

Total download size: 645 M
Is this ok [y/d/N]: y
Downloading packages:
redhat-virtualization-host-image-update-latest.rpm                                                                                             | 645 MB  00:00:09    
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : redhat-virtualization-host-image-update-4.1-20180218.0.el7_5.noarch                                                                                1/2
warning: %post(redhat-virtualization-host-image-update-4.1-20180218.0.el7_5.noarch) scriptlet failed, exit status 1
Non-fatal POSTIN scriptlet failure in rpm package redhat-virtualization-host-image-update-4.1-20180218.0.el7_5.noarch
  Erasing    : redhat-virtualization-host-image-update-placeholder-4.1-8.1.el7.noarch                                                                             2/2
  Verifying  : redhat-virtualization-host-image-update-4.1-20180218.0.el7_5.noarch                                                                                1/2
  Verifying  : redhat-virtualization-host-image-update-placeholder-4.1-8.1.el7.noarch                                                                             2/2

Installed:
  redhat-virtualization-host-image-update.noarch 0:4.1-20180218.0.el7_5                                                                                              

Replaced:
  redhat-virtualization-host-image-update-placeholder.noarch 0:4.1-8.1.el7                                                                                            

Complete!

2. After step4, can login new layer rhvh-4.1-20180218.0


Expected results:
1. After step3, should upgrade successful and no error report during upgrade.


Additional info:
1. It also report the same error when upgrade via "# yum install redhat-virtualization-host-image-update-4.1-20180218.0.el7_5.noarch.rpm"
2. It reported "failed to upgrade host" when upgrade from rhvm side.

Comment 1 Huijuan Zhao 2018-02-22 07:00:24 UTC
Created attachment 1399171 [details]
All logs from host after reboot host

Comment 2 Huijuan Zhao 2018-02-22 07:01:15 UTC
Created attachment 1399172 [details]
Screenshot when upgrade from rhvm side

Comment 3 Huijuan Zhao 2018-02-22 08:39:36 UTC
Created attachment 1399236 [details]
Log in rhvm when upgrade host failed via rhvm side

Comment 4 Yuval Turgeman 2018-02-22 09:42:01 UTC
From the imgbase.log, it seems that the update works fine - but when the postinstall script chroots to the new image we get:

[root@node-13316 ~]# chroot /tmp/tmp.lIYi3qQxfl/ rpm -Uvh --quiet --justdb /usr/share/imgbased/*image-update*.rpm 
error: Failed to initialize NSS library

Comment 6 Huijuan Zhao 2018-02-23 06:39:35 UTC
The issue also exists in redhat-virtualization-host-4.2-20180218.0

Comment 9 Huijuan Zhao 2018-03-06 02:29:00 UTC
This issue is fixed in rhvh-4.1-20180305.0 and rhvh-4.2-20180305.0.

Test version 1:
From: redhat-virtualization-host-4.1-20171207.0
To:   redhat-virtualization-host-4.1-20180305.0

Test version 2:
From: redhat-virtualization-host-4.1-20171207.0
To:   redhat-virtualization-host-4.2-20180305.0

Test steps:
Same as comment 0

Test results:
There is no error report during upgrade, upgrade successful.


So change the status to VERIFIED.

Comment 11 Huijuan Zhao 2018-04-24 03:16:55 UTC
This issue is fixed on rhvh-4.2-20180420.0.

Change the status to VERIFIED

Comment 14 errata-xmlrpc 2018-05-15 17:57:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1524

Comment 15 Franta Kust 2019-05-16 13:04:38 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.